Subject: Re: Anyone creating programs using the MySQL C api using Cygwin?
From: "Gerrit P. Haase" <[email-masked]>
To: Mikael Åsberg <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Fri, 14 Jan 2005 10:15:02 +0100

Mikael Åsberg wrote:
> Hello, I installed a native windows version of MySQL (4.1.18) and tried 
> to compile a C program using the MySQL C API using GCC (version 3.3.3 
> cygwin special). The program compiles and links without any errors or 
> warnings (maximum warning level, c99-mode) but segfaults near the end. I 
> haven't been able to reproduce the segfault using linux...so my question 
> is: I am silly thinking I could use a native Windows version of MySQL 
> with Cygwin without any problems? I guess I could use MSVC++, of which I 
> own a legitimate copy, but I am trying to use it as little as possible.
> Here's the Makefile I used for my simple test program:

It should work with a Cygwin version of MySQL client.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/